[Nipy-devel] The end of nipy.io.imageformats

Matthew Brett matthew.brett@gmail....
Wed Jan 19 13:23:21 CST 2011


Hi,

On Wed, Jan 19, 2011 at 11:21 AM, Gael Varoquaux
<gael.varoquaux@normalesup.org> wrote:
> On Wed, Jan 19, 2011 at 11:15:34AM -0800, Matthew Brett wrote:
>> Yes, it's going to add another dependency to nipy, but it's a minor
>> one in the sense that it's released, and it's pure python.   There's
>> just too much code in nibabel to carry around a long term copy in
>> nipy.  nipy also depends on sympy and scipy so it's not as if we have
>> no dependencies at the moment.
>
> And it's a major practical problem for me. Each additional package on
> the list makes it harder for users and forces me to spend more time when
> installing nipy on their computer.
>
> Currently, I cannot push non advanced users to use nipy because they
> cannot instal it, unless I take on me to install it for them. It makes me
> reluctant to depend on it or to push code in it.

Why can't they install it?  What problems do they have?

Matthew



More information about the Nipy-devel mailing list